%global pypi_name rich

Summary:        A Python library for rich text and beautiful formatting in the terminal
Name:           python-%{pypi_name}
Version:        13.5.3
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/Textualize/rich
Source0:        %{url}/archive/v%{version}/rich-%{version}.tar.gz

BuildRequires:  python3-devel pyproject-rpm-macros
BuildRequires:  python3dist(pytest) python3dist(setuptools) python3dist(attrs)

BuildArch:      noarch

%description
Rich is a Python library for rich text and beautiful formatting
in the terminal. The Rich API makes it easy to add color and style
to terminal output. Rich can also render pretty tables, progress
bars, markdown, syntax highlighted source code, tracebacks, and
more — out of the box.

%package -n     python3-%{pypi_name}
Summary:        A Python library for rich text and beautiful formatting in the terminal

%description -n python3-%{pypi_name}
Rich is a Python library for rich text and beautiful formatting 
in the terminal. The Rich API makes it easy to add color and style
to terminal output. Rich can also render pretty tables, progress
bars, markdown, syntax highlighted source code, tracebacks, and
more — out of the box.

%prep
%autosetup -n %{pypi_name}-%{version}
%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rich

%check
%pytest -vv -k "not test_python_render_simple_indent_guides and not test_python_render_line_range_indent_guides \
%if "%{python3_version}" == "3.11"
    and not test_python_render and not test_python_render_simple \
    and not test_python_render_simple_passing_lexer_instance and not test_card_render \
    and not test_markdown_render and not test_option_no_wrap and not test_syntax_highlight_ranges \
%endif
"
 
%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.5.3-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 Miaojun Dong <zoedong@tencent.com> - 13.5.3-1
- Bump version to 13.5.3

* Tue Sep 19 2023 Shuo Wang <abushwang@tencent.com> - 13.2.0-5
- bypass some test due to pygments updating

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.2.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.2.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.2.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Sun Apr 23 2023 Miaojun Dong <zoedong@tencent.com> - 13.2.0-1
- initial build
